/**
 * Created: Jan 20, 2005
 *
 */
package cs1020;

/**
 * A point located in the (x,y) coordinate plane.
 * @author	shampanl (JR. Shampang)
 * @author	hoffmeid (Derek Hoffmeister)
 */
public class Point extends Shape {
    
    // Creation of Point objects with no parameters are not allowed
    private Point() {
        System.err.println("Error.");
    }
    
    /** 
     * Creates a new Point with coordinates <code>x</code> and <code>y</code>. 
     * @param x		The x coordinate
     * @param y		The y coordinate
     */
    public Point(int x, int y) {
        super();
        xCoord = x;
        yCoord = y;
        System.out.println("Point: Constructor");
    }
    
    /** 
     * Creates a new Point with same coordinates as <code>point</code>.
     * @param point		Point whose coordinates are used to create the new Point.  
     */
    public Point(Point point) {
        super();
        xCoord = point.xCoord;
        yCoord = point.yCoord;
        System.out.println("Point: Constructor");
    }
    
    /** 
     * Returns the number of points
     * @return 	Number of points
     */
    public int numOfPoints() {
        System.out.println("Point: numOfPoints");
        return 1;
    }
    
    /** Draws the Point. */
    public void draw() {
        System.out.println("Point: draw");
    }
    
    /** Scales the point. */
    public void scale() {
        System.out.println("Point: scale");
    }
    
    /** 
     * Moves the Point to new (x,y) location
     * @param x		The x coordinate
     * @param y 	The y coordinate
     */
    public void move(int x, int y) {
        System.out.println("Point: move");
        xCoord = x;
        yCoord = y;
    }    
}